Skip to main content
PUT
Update package

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The package ID

Example:

1

Body

application/json
name
string

Package name/reference. Must not be greater than 255 characters.

Example:

"PACK-0001"

package_type_id
integer | null

Package type ID. The id of an existing record in the inventories_package_types table.

Example:

1

pack_date
string | null

Pack date. Must be a valid date.

Example:

"2026-02-19"

location_id
integer | null

Current location ID. The id of an existing record in the inventories_locations table.

Example:

3

Response

Success